Subject: Re: FVWM: Binding Keys

From: Dominik Vogt <[email-masked]>
Date: Fri, 12 Nov 1999 19:14:11 +0100

On Fri, Nov 12, 1999 at 09:19:22AM -0800, [email-masked] wrote:
> 
> Yes, xmodmap -pk lists them, the xev utility works with them.  fvwm, fvwm2
> reports no errors.  However, I can put a undefined key, like KeyOfSlime,
> in system.fvwm2rc and it won't error.
> 
> Maybe fvwm* is limitted to 103 keys..  if i define xmodmap to the
> following, fvwm works upto key 103.

No.

> I added some code to the kernel so I
> have a writable /dev/keyboard  -- I write keycodes to /dev/keyboard which
> just feeds the codes if where the actual key board keycodes worud go...
> 
> xmodmap key 97 is really raw keycode 89, or 8 less  the kernel must do
> this.  raw key 96 97 don't map.  raw key 98 jumps to xmodmap key 138 so I
> planned to use raw key 110-121 which is xmodmap key 150-161.
> 
> The above might go into too much detail............
> 
>      93         0xff54 (Down)
>      94
>      95         0xffc8 (F11)
>      96         0xffc9 (F12)
>      97         0x7100 (krIcon)
>      98         0x7101 (krMax)
>      99         0x7102 (krPush)
>     100         0x7103 (krClose)
>     101         0x7104 (krKill)
>     102         0x7105 (krMove)
>     103         0x7106 (krSize)
>     104         0x7107 (krMenu)
>     105
>     106
>     107
> 
> Any ideas?

Fvwm queries the X server for the range of useful keycodes.
If you fetch fvwm-2.3.9 you will find around line 223 of
libs/Bindings.c (don't confuse it with fvwm/bindings.c):

    if (type == KEY_BINDING)
    {
      XDisplayKeycodes(dpy, &min, &max);
      maxmods = 8;
    }

Could you add

    fprintf(stderr,"kexcodes: %d - %d\n" min, max);

after the call to XDisplayKeycodes? Perhaps the keys you have
are not in the allowed range?

Bye

Dominik ^_^

-- 
Dominik Vogt, Agilent Technologies, Dept. BVS
Herrenberger Str.130, 71034 Boeblingen, Germany
phone: 07031/464-4596, fax: 07031/464-3883, [email-masked]
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]